ApiProfile

Update the current profile

Updates one or more profile fields. Only provided fields are changed.

PATCH
/profile

Updates one or more profile fields. Only provided fields are changed.

Authorization

cookieAuth
peridot_access<token>

JWT access token set by /auth/google/callback or /auth/refresh

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/profile" \  -H "Content-Type: application/json" \  -d '{    "displayName": "PeridotPlayer",    "locale": "en-US"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "identityId": "ebc92baa-b430-498d-b30d-132ff32a5256",  "displayName": "string",  "avatarUrl": "http://example.com",  "locale": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}